(function() {
	var feedsList = [];
	if (window.location.href != null && window.location.href.indexOf('m.detik.com') > 0) {
		var articles = document.querySelectorAll('article');
		if (articles.length > 0) {
			for (var i = 0; i < articles.length; i++) {
				var feeditem = {};
				try {
					feeditem.url = articles[i].querySelector('a').href;
					var titleObj = articles[i].querySelector('a h1')||articles[i].querySelector('a h2')||articles[i].querySelector('a h3');
					feeditem.title = titleObj.textContent;
					if (feeditem.url == null || feeditem.title == null) {console.log("null ["+i+"]");continue;}
					feeditem.refer = 'https://m.detik.com/';
					feedsList.push(feeditem);
				} catch(error) {
				    console.log("exp ["+i+"]");
					continue;
				}
			}
		}
		else {
		    console.log("no articles.");
		}
	}
	else {
	    console.log("no location.href");
	}
	return feedsList;
})();